#pragma once
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2\imgproc\imgproc.hpp>
#include <opencv2/calib3d/calib3d.hpp>
#include <iostream>
#include <string>
#include <Windows.h>

#include "avansvisionlib20.h"

class Camera
{
public:
	Camera(int port);
	~Camera();
	bool Calibrate();
	Mat getImage();
	Mat takeImage();
private:
	const string filename = "calibration.yml";
	int port = 0;
	VideoCapture capture;
	Mat intrinsic, distCoeffs;
	bool cameraAvailable;
	void read_directory(const string& name, vector<string> &v);
};

